#!/bin/sh
set -efu

pys="$(py3versions -s 2> /dev/null)"


cp -a test "$AUTOPKGTEST_TMP"
cd "$AUTOPKGTEST_TMP"


for py in $pys; do
	echo "=== $py ==="
	$py -m pytest --ignore=test/test_real_ftp.py \
		--ignore=test/test_public_servers.py \
		-k 'not TestAcceptEitherUnicodeOrBytes' 2>&1
done
